# echarts-theme

## Project setup
```
npm install echarts-theme
```
## 配置属性
属性名         | 描述  | 参考值 |
:------------:|:-----:|:-----:|
modeFlag       | 变色按钮 |  true/false |
options       | echarts配置项 |  参照官网 |
legendColor   | legend颜色 |  '#FFFFFF' |
colorX        | x轴刻度标签文字的颜色 |  '#FFFFFF' |
colorY        | y轴刻度标签文字的颜色 |  '#FFFFFF' |
splitLineX    | x轴刻度线的颜色 |  '#283045' |
splitLineY    | Y轴刻度线的颜色 |  '#283045' |
boxShadow     | 折线图阴影效果,多条数据则数组多一项,bColor是模式1下的配色,wColor是模式2下的配色 |  参照demo |

DemoData:
```
options: {
     tooltip: {
       trigger: 'axis'
     },
     xAxis: {
       type: 'category',
       data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
     },
     yAxis: {
       type: 'value'
     },
     series: [{
       data: [150, 230, 224, 218, 135, 147, 260],
       type: 'line'
     }]
},
colorX: '#71747E',
colorY: '#9CA5AC',
splitLineX: '#e0e6f1',
splitLineY: '#e0e6f1',
boxShadow:[{
 'bottom': '#FFFFFF',
 'top': '#dedcfd',
}]
modeFlag: true
```
### Compiles and hot-reloads for development
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
